Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class AbstractUserGroupCallbackDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator

Direct Known Subclasses:
  UserGroupLifeCycleManagerDecorator, UserGroupTaskAttachmentDecorator, UserGroupTaskCommandExecutorDecorator, UserGroupTaskCommentDecorator, UserGroupTaskInstanceServiceDecorator, UserGroupTaskQueryServiceDecorator

    public class AbstractUserGroupCallbackDecorator

extends Object

Constructor Summary
`AbstractUserGroupCallbackDecorator()`

Method Summary
`protected void` | `addGroupFromCallbackOperation(String groupId)`
`protected void` | `addUserFromCallbackOperation(String userId)`
`protected boolean` | `doCallbackGroupOperation(String groupId)`
`protected void` | `doCallbackGroupsOperation(String userId, List<String> groupIds)`
`protected void` | `doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments)`
`protected void` | `doCallbackOperationForPotentialOwners(List<OrganizationalEntity> potentialOwners)`
`protected void` | `doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data)`
`protected void` | `doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)`
`protected boolean` | `doCallbackUserOperation(String userId)`
`protected List<String>` | `doUserGroupCallbackOperation(String userId, List<String> groupIds)`
`protected List<String>` | `filterGroups(List<String> groups)`
`protected void` | `persistIfNotExists(OrganizationalEntity entity)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setUserGroupCallback(org.kie.internal.task.api.UserGroupCallback userGroupCallback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractUserGroupCallbackDecorator

    public AbstractUserGroupCallbackDecorator()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### setUserGroupCallback

    public void setUserGroupCallback(org.kie.internal.task.api.UserGroupCallback userGroupCallback)

### doUserGroupCallbackOperation

    protected List<String> doUserGroupCallbackOperation(String userId,
                                                        List<String> groupIds)

### doCallbackUserOperation

    protected boolean doCallbackUserOperation(String userId)

### doCallbackGroupOperation

    protected boolean doCallbackGroupOperation(String groupId)

### addUserFromCallbackOperation

    protected void addUserFromCallbackOperation(String userId)

### persistIfNotExists

    protected void persistIfNotExists(OrganizationalEntity entity)

### doCallbackGroupsOperation

    protected void doCallbackGroupsOperation(String userId,
                                             List<String> groupIds)

### addGroupFromCallbackOperation

    protected void addGroupFromCallbackOperation(String groupId)

### doCallbackOperationForTaskData

    protected void doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data)

### doCallbackOperationForPotentialOwners

    protected void doCallbackOperationForPotentialOwners(List<OrganizationalEntity> potentialOwners)

### doCallbackOperationForPeopleAssignments

    protected void doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments)

### doCallbackOperationForTaskDeadlines

    protected void doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)

### filterGroups

    protected List<String> filterGroups(List<String> groups)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.